/////////////////////////////////////////
////           Przykad 10.           ////
////      Interpolacja koowa        ////
////   13.04.2015 ukasz Grniak     ////
/////////////////////////////////////////

// Ustawienie parametrw ruchu napdu M1 bdacych parametrami ruchu dla interpolacji
AccM1 = 500
DecM1 = 500
VmaxM1 = 100

// Ustawienie parametrw ruchu napdu M2
AccM2 = 500
DecM2 = 500
VmaxM2 = 100

//Uruchomienie napdw
M1 = ON
M2 = ON

//Bazowanie napdw
HOME M1 -10
HOME M2 -10

//Ptla glwna programu
MAIN:
IF IN1 = ON                     // Wykonanie jeli sygna na wejciu IN1
    JUMP INTERP_ZMIENNE         // Interpolacja z podanych parametrow
ENDIF

IF IN2 = ON                     // Wykonanie jeli sygna na wejciu IN2
    JUMP INTERP_TABLICA         // Interpolacja z parametrw z tablicy  
ENDIF

IF IN3 = ON                     // Wykonanie jeli sygna na wejciu IN2
    JUMP INTERP_PUNKT_NA_OKREGU // Interpolacja z parametrw z tablicy - BRAK KOMENDY "MOVETOCIRC"  
ENDIF

JUMP MAIN

// Wykonanie interpolacji kolowej z podanych parametrw
// (UWAGA parametry te powoduj nadpisanie pozycji 0 w tablicy pozycji) 
// X/Y - wsprzdne rodka okrgu,
// R - promie okrgu,
// A - kt wykonywanego okrgu (gdy A <0 kierunek ruchu CCW).

INTERP_ZMIENNE:

CircX = 15      // punkt X rodka okrgu 
CircY = 15      // punkt Y rodka okrgu 
CircR = 14      // promie okrgu
CircA = 360    // zakres ruchu po okrgu (360 stopni = peen okrg)

MOVETOCIRC 0        // Dojazd do najbliszego wzgldem pozycji zerowej punktu na okrgu
WAITPOS
DOCIRC 0            // Wykonanie ruchu po okrgu
WAITPOS


RETURN


// Wykonanie interpolacji koowej z parametrw z tablicy
INTERP_TABLICA:

MOVETOCIRC @KOLO1   // Dojazd do najbliszego wzgldem pozycji zerowej punktu na okrgu
WAITPOS
DOCIRC @KOLO1       // Wykonanie ruchu po okrgu
WAITPOS

RETURN

INTERP_PUNKT_NA_OKREGU:

CircX = 50    // punkt X rodka okrgu 
CircY = 50    // punkt Y rodka okrgu 
CircR = 50    // promie okrgu
CircA = -45    // zakres ruchu po okrgu (360 stopni = peen okrg)

MOVETOCIRC 0
WAITPOS

DOCIRC 0       // Wykonanie ruchu po okrgu
WAITPOS


CircA = 90    // zakres ruchu po okrgu (360 stopni = peen okrg)
PABS M1 50
PABS M2 0   // Dojazd do punktu NA OKRGU
WAITPOS

DOCIRC 0       // Wykonanie ruchu po okrgu
WAITPOS

RETURN























